Skip to main content
POST
/
organization
/
{organizationId}
/
listTfVarsFilesFromGitRepo
List Terraform tfvars files from Git repository
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/listTfVarsFilesFromGitRepo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "git_repository": {
    "url": "https://github.com/Qovery/simple-node-app",
    "provider": "BITBUCKET",
    "branch": "feat/text_xxx",
    "root_path": "/",
    "git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "mode": {
    "type": "AutoDiscover"
  }
}
'
{
  "results": [
    {
      "source": "environments/prod.tfvars",
      "variables": {
        "environment": "production",
        "region": "us-east-1"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json

Request to list Terraform tfvars files from a Git repository

git_repository
object
required
mode
TfVarsDiscoveryModeAutoDiscover · object
required

Automatically discover all tfvars files in the repository

Response

List of Terraform tfvars files with their variables

results
TfVarsFileResponse · object[]